@echo off
if exist dehacked.exe goto thisdir
if exist dehacked\dehacked.exe goto dehdir

echo Patch not installed
doom -file schooldm.wad
goto end

:thisdir
dehacked -reload
dehacked -load schooldm.deh
doomhack -file schooldm.wad
goto end

:dehdir
dehacked\dehacked -reload
dehacked\dehacked -load schooldm.deh
doomhack -file schooldm.wad

:end
